Calibre 3 beta for Debian

I have updated my Calibre Debian repository to include packages of the upcoming version 3, currently version 2.99.10. As with the previous packages, I kept RAR support in to allow me to read comic books.

The repository location hasn’t changed, see below. Please report your experiences to the Calibre beta support channel at MobileRead.

deb http://www.preining.info/debian/ calibre main
deb-src http://www.preining.info/debian/ calibre main

The releases are signed with my Debian key 0x6CACA448860CDC13

Enjoy

Email this to someonePrint this pageShare on FacebookShare on Google+Tweet about this on TwitterShare on LinkedInFlattr the author

4 thoughts on “Calibre 3 beta for Debian

  1. Pingback: Links 10/6/2017: New Wine Release, Qt 5.9 Packages in KDE Neon | Techrights

  2. calibre 2.99.10-0.1 does not start on Debian Sid:
    Traceback (most recent call last):
    File “/usr/lib/calibre/calibre/gui2/ui.py”, line 160, in __init__
    ac = self.init_iaction(action)
    File “/usr/lib/calibre/calibre/gui2/ui.py”, line 174, in init_iaction
    ac = action.load_actual_plugin(self)
    File “/usr/lib/calibre/calibre/customize/__init__.py”, line 614, in load_actual_plugin
    ac = getattr(importlib.import_module(mod), cls)(gui,
    File “/usr/lib/python2.7/importlib/__init__.py”, line 37, in import_module
    __import__(name)
    File “/usr/lib/calibre/calibre/customize/zipplugin.py”, line 183, in load_module
    exec compiled in mod.__dict__
    File “calibre_plugins.allrecipes_ebook.ui”, line 18, in
    File “/usr/lib/calibre/calibre/customize/zipplugin.py”, line 183, in load_module
    exec compiled in mod.__dict__
    File “calibre_plugins.allrecipes_ebook.main”, line 18, in
    File “/usr/lib/calibre/calibre/startup.py”, line 36, in load_module
    raise ImportError(‘Importing PyQt4 is not allowed as calibre uses PyQt5’)
    ImportError: Importing PyQt4 is not allowed as calibre uses PyQt5
    Traceback (most recent call last):
    File “/usr/lib/calibre/calibre/gui2/ui.py”, line 160, in __init__
    ac = self.init_iaction(action)
    File “/usr/lib/calibre/calibre/gui2/ui.py”, line 174, in init_iaction
    ac = action.load_actual_plugin(self)
    File “/usr/lib/calibre/calibre/customize/__init__.py”, line 614, in load_actual_plugin
    ac = getattr(importlib.import_module(mod), cls)(gui,
    File “/usr/lib/python2.7/importlib/__init__.py”, line 37, in import_module
    __import__(name)
    File “/usr/lib/calibre/calibre/customize/zipplugin.py”, line 183, in load_module
    exec compiled in mod.__dict__
    File “calibre_plugins.koboutilities.action”, line 15, in
    File “/usr/lib/calibre/calibre/startup.py”, line 36, in load_module
    raise ImportError(‘Importing PyQt4 is not allowed as calibre uses PyQt5’)
    ImportError: Importing PyQt4 is not allowed as calibre uses PyQt5
    Traceback (most recent call last):
    File “/usr/lib/calibre/calibre/gui2/ui.py”, line 160, in __init__
    ac = self.init_iaction(action)
    File “/usr/lib/calibre/calibre/gui2/ui.py”, line 174, in init_iaction
    ac = action.load_actual_plugin(self)
    File “/usr/lib/calibre/calibre/customize/__init__.py”, line 614, in load_actual_plugin
    ac = getattr(importlib.import_module(mod), cls)(gui,
    File “/usr/lib/python2.7/importlib/__init__.py”, line 37, in import_module
    __import__(name)
    File “/usr/lib/calibre/calibre/customize/zipplugin.py”, line 183, in load_module
    exec compiled in mod.__dict__
    File “calibre_plugins.wikipage_ebook.ui”, line 18, in
    File “/usr/lib/calibre/calibre/customize/zipplugin.py”, line 183, in load_module
    exec compiled in mod.__dict__
    File “calibre_plugins.wikipage_ebook.main”, line 19, in
    File “/usr/lib/calibre/calibre/startup.py”, line 36, in load_module
    raise ImportError(‘Importing PyQt4 is not allowed as calibre uses PyQt5’)
    ImportError: Importing PyQt4 is not allowed as calibre uses PyQt5
    Traceback (most recent call last):
    File “/usr/lib/calibre/calibre/gui2/ui.py”, line 160, in __init__
    ac = self.init_iaction(action)
    File “/usr/lib/calibre/calibre/gui2/ui.py”, line 174, in init_iaction
    ac = action.load_actual_plugin(self)
    File “/usr/lib/calibre/calibre/customize/__init__.py”, line 614, in load_actual_plugin
    ac = getattr(importlib.import_module(mod), cls)(gui,
    File “/usr/lib/python2.7/importlib/__init__.py”, line 37, in import_module
    __import__(name)
    File “/usr/lib/calibre/calibre/customize/zipplugin.py”, line 183, in load_module
    exec compiled in mod.__dict__
    File “calibre_plugins.food_ebook.ui”, line 18, in
    File “/usr/lib/calibre/calibre/customize/zipplugin.py”, line 183, in load_module
    exec compiled in mod.__dict__
    File “calibre_plugins.food_ebook.main”, line 18, in
    File “/usr/lib/calibre/calibre/startup.py”, line 36, in load_module
    raise ImportError(‘Importing PyQt4 is not allowed as calibre uses PyQt5’)
    ImportError: Importing PyQt4 is not allowed as calibre uses PyQt5
    Traceback (most recent call last):
    File “/usr/lib/calibre/calibre/gui2/ui.py”, line 160, in __init__
    ac = self.init_iaction(action)
    File “/usr/lib/calibre/calibre/gui2/ui.py”, line 174, in init_iaction
    ac = action.load_actual_plugin(self)
    File “/usr/lib/calibre/calibre/customize/__init__.py”, line 614, in load_actual_plugin
    ac = getattr(importlib.import_module(mod), cls)(gui,
    File “/usr/lib/python2.7/importlib/__init__.py”, line 37, in import_module
    __import__(name)
    File “/usr/lib/calibre/calibre/gui2/actions/catalog.py”, line 13, in
    from calibre.gui2.tools import generate_catalog
    File “/usr/lib/calibre/calibre/gui2/tools.py”, line 16, in
    from calibre.gui2.convert.single import NoSupportedInputFormats
    File “/usr/lib/calibre/calibre/gui2/convert/single.py”, line 20, in
    from calibre.gui2.convert.search_and_replace import SearchAndReplaceWidget
    File “/usr/lib/calibre/calibre/gui2/convert/search_and_replace.py”, line 11, in
    from calibre.gui2.convert.search_and_replace_ui import Ui_Form
    File “/usr/lib/calibre/calibre/gui2/convert/search_and_replace_ui.py”, line 155, in
    from regex_builder import RegexEdit
    File “/usr/lib/calibre/calibre/gui2/convert/regex_builder.py”, line 18, in
    from calibre.ebooks.conversion.search_replace import compile_regular_expression
    File “/usr/lib/calibre/calibre/ebooks/conversion/search_replace.py”, line 7, in
    import regex
    ImportError: No module named regex

Leave a Reply

Your email address will not be published.

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>